=== debian/changelog ===
golang-github-containers-image (5.32.2-4) unstable; urgency=medium

  * Upload to unstable
  * golang-github-containers-image: set Multi-Arch: foreign

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 06:46:44 -0400

golang-github-containers-image (5.32.2-3) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 09:35:01 -0400

golang-github-containers-image (5.32.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:32:24 -0400

golang-github-containers-image (5.32.1-2) experimental; urgency=medium

  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 20:18:27 -0400

golang-github-containers-image (5.32.1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 08:51:42 -0400

golang-github-containers-image (5.32.0-2) experimental; urgency=medium

  * Tighten breaks on containers/buildah

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Aug 2024 07:38:14 -0400

golang-github-containers-image (5.32.0-1) experimental; urgency=medium

  * New upstream release: 5.32.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 18:49:28 -0400
