## golang-github-containers-image 5.33.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.59.1
+GOLANGCI_LINT_VERSION := 1.61.0
 
 export PATH := $(PATH):${GOBIN}
