=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                go-md2man,
                golang-github-acarl005-stripansi-dev,
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.55),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -19,11 +19,11 @@
                golang-github-docker-go-connections-dev,
                golang-github-fullsailor-pkcs7-dev,
                golang-github-ghodss-yaml-dev,
-               golang-github-imdario-mergo-dev,
+               golang-github-imdario-mergo-dev (>> 1.0),
                golang-github-klauspost-pgzip-dev,
                golang-github-manifoldco-promptui-dev,
                golang-github-mattn-go-sqlite3-dev,
-               golang-github-moby-sys-dev,
+               golang-github-moby-sys-dev (>> 0.0~git20241107),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
                golang-github-opencontainers-selinux-dev (>= 1.11),
@@ -34,13 +34,13 @@
                golang-github-proglottis-gpgme-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
-               golang-github-sigstore-rekor-dev,
-               golang-github-sigstore-sigstore-dev (>= 1.8.6),
+               golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+               golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-sylabs-sif-dev (>> 2.3.1),
                golang-github-ulikunitz-xz-dev,
-               golang-github-vbatts-tar-split-dev,
+               golang-github-vbatts-tar-split-dev (>= 0.11.6~),
                golang-github-vbauerster-mpb-dev (>= 8),
                golang-github-xeipuuv-gojsonschema-dev,
                golang-go,
@@ -53,6 +53,7 @@
                libdevmapper-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/containers/image
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
 XS-Go-Import-Path: github.com/containers/image
@@ -75,18 +76,18 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.55),
+         golang-github-containers-storage-dev (>= 1.56),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
          golang-github-docker-docker-dev (>> 26.1),
          golang-github-docker-go-connections-dev,
          golang-github-ghodss-yaml-dev,
-         golang-github-imdario-mergo-dev,
+         golang-github-imdario-mergo-dev (>> 1.0),
          golang-github-klauspost-pgzip-dev,
          golang-github-manifoldco-promptui-dev,
          golang-github-mattn-go-sqlite3-dev,
-         golang-github-moby-sys-dev,
+         golang-github-moby-sys-dev (>> 0.0~git20241107),
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
          golang-github-opencontainers-selinux-dev (>= 1.11),
@@ -95,14 +96,13 @@
          golang-github-proglottis-gpgme-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
          golang-github-sigstore-fulcio-dev,
-         golang-github-sigstore-rekor-dev,
-         golang-github-sigstore-sigstore-dev (>= 1.8.6),
+         golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+         golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
          golang-github-sirupsen-logrus-dev,
          golang-github-stretchr-testify-dev,
          golang-github-sylabs-sif-dev (>> 2.3.1),
-         golang-github-theupdateframework-go-tuf-dev,
          golang-github-ulikunitz-xz-dev,
-         golang-github-vbatts-tar-split-dev,
+         golang-github-vbatts-tar-split-dev (>= 0.11.6),
          golang-github-vbauerster-mpb-dev (>= 8),
          golang-github-xeipuuv-gojsonschema-dev,
          golang-golang-x-crypto-dev,
