## golang-github-containers-image 5.33.1

=== debian/changelog ===
golang-github-containers-image (5.33.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jan 2025 16:06:44 -0500
