## golang-github-containers-image 5.34.0

=== debian/changelog ===
golang-github-containers-image (5.34.0-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Feb 2025 18:04:28 -0500
