=== debian/changelog ===
golang-github-containers-image (5.34.2-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2025 21:30:41 -0400
