=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.57),
+               golang-github-containers-storage-dev (>= 1.57.2),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -76,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.57),
+         golang-github-containers-storage-dev (>= 1.57.2),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
