## golang-github-containers-image 5.36.1

=== debian/changelog ===
golang-github-containers-image (5.36.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies on containers/storage
  * Bump Standards-Version
  * refresh patches
  * Revert "Update module github.com/docker/docker to v28"
  * TestSetupCertificates: Disable segfaulting test

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 15:09:33 -0400
