=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.57.2),
+               golang-github-containers-storage-dev (>= 1.59.1),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -51,7 +51,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/image
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
@@ -76,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.57.2),
+         golang-github-containers-storage-dev (>= 1.59.1),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
