=== debian/changelog ===
golang-github-containers-image (5.36.2-2) unstable; urgency=medium

  * New upstream release
  * Stop disabling openshift component
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 06:14:06 -0400
