=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
                golang-github-proglottis-gpgme-dev,
+               golang-github-santhosh-tekuri-jsonschema-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
                golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
