=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
-export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)
 
 %:
@@ -17,5 +16,5 @@
 	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) pkg/docker image/signature" \
+	DH_GOLANG_EXCLUDES="pkg/docker" \
 	dh_auto_test -O--buildsystem=golang
