=== debian/changelog ===
golang-github-containers-image (5.38.0+ds2-1) experimental; urgency=medium

  * New upstream release, Refresh patches
  * Switch to fetch sources from monorepo, cf.
    https://blog.podman.io/2025/08/migration-to-the-container-libs-monorepo-is-complete/
  * debian/watch: add dversionmangle
  * debian/repack: script to produce an orig.tarball that only contains
    container/image sources
  * debian/copyright:
    - remove redundant reference
    - clarify license of signature/internal/sequoia/*
  * debian/control:
    - Update section to 'golang'
    - Switch to new golang import path go.podman.io/storage, keep compat symlink
    - Drop redundant Rules-Requires-Root
    - tighten dependencies on containers/storage
  * add lintian overrides

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Nov 2025 06:18:24 -0500
