=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-containers-image
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.59.1),
+               golang-github-containers-storage-dev (>= 1.61.0),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -31,7 +31,7 @@
                golang-github-otiai10-copy-dev,
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
-               golang-github-proglottis-gpgme-dev,
+               golang-github-proglottis-gpgme-dev (>> 0.1.5),
                golang-github-santhosh-tekuri-jsonschema-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
@@ -54,10 +54,9 @@
                libdevmapper-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/containers/image
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
-XS-Go-Import-Path: github.com/containers/image
+XS-Go-Import-Path: go.podman.io/image
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-containers-image
@@ -77,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.59.1),
+         golang-github-containers-storage-dev (>= 1.61.0),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
@@ -94,7 +93,7 @@
          golang-github-opencontainers-selinux-dev (>= 1.11),
          golang-github-ostreedev-ostree-go-dev,
          golang-github-pkg-errors-dev,
-         golang-github-proglottis-gpgme-dev,
+         golang-github-proglottis-gpgme-dev (>> 0.1.5),
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
          golang-github-sigstore-fulcio-dev,
          golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
