## golang-github-containers-image 5.39.1

=== debian/changelog ===
golang-github-containers-image (5.39.1-2) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version, no changes needed
  * Drop redundant Rules-Requires-Root
  * debian/copyright: various corrections
  * Build against containers/storage 1.62
  * Build against docker 28
  * Cleanup patches, reorder names
  * debian/changelog: update

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Mar 2026 05:44:55 -0500
