=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.61.0),
+               golang-github-containers-storage-dev (>= 1.62),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
-               golang-github-docker-docker-dev (>= 26.1),
+               golang-github-docker-docker-dev (>= 28.5),
                golang-github-docker-go-connections-dev,
                golang-github-fullsailor-pkcs7-dev,
                golang-github-ghodss-yaml-dev,
@@ -52,7 +52,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
@@ -76,11 +76,11 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.61.0),
+         golang-github-containers-storage-dev (>= 1.62),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
-         golang-github-docker-docker-dev (>> 26.1),
+         golang-github-docker-docker-dev (>> 28.5),
          golang-github-docker-go-connections-dev,
          golang-github-ghodss-yaml-dev,
          golang-github-imdario-mergo-dev (>> 1.0),
